{
  "openapi": "3.0.1",
  "info": {
    "title": "Fusion Admin APIs",
    "description": "These APIs provide general administrative functions for your Fusion instance. Use these APIs to manage Fusion objects, App Studio objects, connections to Solr clusters, license files, job schedules, and more. You can also use them to create a history of service events.",
    "termsOfService": "https://lucidworks.com/legal/developer-license-agreement/",
    "contact": {
      "name": "Lucidworks",
      "url": "www.lucidworks.com",
      "email": "support@lucidworks.com"
    },
    "license": {
      "name": "License of API",
      "url": "https://lucidworks.com/legal/developer-license-agreement/"
    },
    "version": "5.9"
  },
  "servers": [
    {
      "url": "https://{FUSION_HOST}/api",
      "description": "Fusion",
      "variables": {
        "FUSION_HOST": {
          "default": "FUSION_HOST",
          "description": "Your environment host."
        }
      }
    },
    {
      "url": "https://{FUSION_HOST}/api/apps/{APP_NAME}",
      "description": "Fusion app",
      "variables": {
        "FUSION_HOST": {
          "default": "FUSION_HOST",
          "description": "Your environment host."
        },
        "APP_NAME": {
          "default": "APP_NAME",
          "description": "The name of your Fusion application."
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Apps",
      "description": "The Apps API manages your Fusion apps. To export or import an app, see the Objects API. You can also import an app using the Fusion UI."
    },
    {
      "name": "Blobs",
      "description": "The Blob Store REST API allows storing binary objects in Solr. You can use it to store entity extraction models, lookup lists or exclusion lists for use in index pipelines. This may include the entity extraction models and lookup lists included with Fusion in the `{fusion_path}/data/nlp` directory, or files that you have created on your own."
    },
    {
      "name": "Collections",
      "description": "The Collections API manages Fusion collections. It provides endpoints for creating, updating, and deleting collection, as well as endpoints for getting a collection's status and usage statistics.\n\nFusion maintains internal system collections for logs, blobs, and metrics data which operate in conjunction with collections created by users. The Collections API is used to manage all Fusion collections."
    },
    {
      "name": "Configurations",
      "description": "The Configurations API allows setting global properties for Fusion.\n\nSome settings are not set by any configuration file but are reported as settings from the operating system. Those settings cannot be changed with this API.\n\n> ⚠️ **Blocked by default:** This API is blocked on the API gateway by default because it exposes all Fusion admin service environment variables. It can be enabled in special cases — contact [Lucidworks Support](https://lucidworks.com/support) to discuss your use case. In Fusion 5.18 and later, use [Fusion Vault](/docs/5/fusion/operations/security/external-vault) instead, which provides a safer, structured approach to managing configuration values and secrets. The Configurations API is deprecated as of Fusion 5.18."
    },
    {
      "name": "CRUD events",
      "description": "Check the status of the CRUD Events service."
    },
    {
      "name": "Data models",
      "description": "These APIs manage data models.\n\nData models simplify the process of getting started with Fusion by providing pre-configured objects to reduce the effort spent on basic starting tasks. This helps keep documents consistent between datasources and intuitive to the object's type."
    },
    {
      "name": "Features",
      "description": "The Features API lets you observe the status of features across collections.  To manipulate features for a specific collection, use the Collections API."
    },
    {
      "name": "Groups",
      "description": "These endpoints show you how your Fusion objects are grouped.  For example, you can use this API to see the signals-related jobs and collections that are part of a primary collection's group."
    },
    {
      "name": "History",
      "description": "The History API provides information about the services that are running. The list of these services is provided by the Introspect API."
    },
    {
      "name": "Introspect",
      "description": "The Fusion Introspect endpoint lists basic information about endpoints and parameters for all Fusion endpoints."
    },
    {
      "name": "Jobs",
      "description": "The Jobs API allows you to define schedules for objects that perform work. You can schedule datasources, tasks, and Spark jobs."
    },
    {
      "name": "License",
      "description": "The License API provides license management features."
    },
    {
      "name": "Links",
      "description": "The Links API manages the links that represent the relationships between Fusion objects. You can see these links in the Object Explorer in the Fusion UI. You can also export and import links using the Objects API.\n\nLinks are structured as a tuple of (`subject`, `object`, `linkType`). An example would be (`foo`, `bar`, `dependsOn`), which would read as \"foo dependsOn bar\"."
    },
    {
      "name": "Nodes",
      "description": "The Nodes API lets you check the status of each node in the search cluster."
    },
    {
      "name": "Objects",
      "description": "The Objects API lets you import and export objects between Fusion instances. Fusion objects include all your searchable data, plus pipelines, aggregations, and other configurations on which your collections depend."
    },
    {
      "name": "Registration",
      "description": "Check the status of the Registration service."
    },
    {
      "name": "Scheduler",
      "description": "Use the Scheduler API to define a schedule for system activities and manage the jobs that result from the schedule.  All of the Fusion services are available for scheduling, as are any Solr activities and any other HTTP-based URI.\n\n\n\n>This API is deprecated in favor of the Jobs API."
    },
    {
      "name": "Search cluster",
      "description": "The Search Cluster API lets you connect Fusion with existing Solr instances in a Zookeeper-managed cluster."
    },
    {
      "name": "Search logs",
      "description": "The Search Logs API lets you manage a `searchLogs` collection."
    },
    {
      "name": "Solr",
      "description": "The Solr API is used to manage collection-level configurations.\n\nSince this API proxies requests to Solr, each available method corresponds to the method in Solr. So, a `GET` request to Solr would use the `GET` method of this endpoint; a `POST` would use the `POST` method, and so on.\n\nDepending on the request, the response may consist of records that match a query or output from a Schema API request."
    },
    {
      "name": "Solr Configuration",
      "description": "The Solr Configuration REST API lets you access and manage Solr configuration files stored in ZooKeeper."
    },
    {
      "name": "Solr admin",
      "description": "The Solr Admin API lets you send commands to Solr through Fusion's proxy service. This allows you to protect your Solr instances from outside connections, and apply roles and user permissions from Fusion when running Solr commands. Requests sent to this API are subject to access restrictions above the collection level.\n\nNote that because one `searchCluster` may host several collections, it is not recommended to use this with a collection-level command (such as a query, or document update)."
    },
    {
      "name": "Swagger",
      "description": "These endpoints give you details about Fusion's REST API schemas."
    },
    {
      "name": "System",
      "description": "The System REST API allows you to monitor the system performance."
    },
    {
      "name": "Tasks",
      "description": "These endpoints let you manage tasks, a flexible job type that can be used to clean up old logs or run any REST call."
    },
    {
      "name": "Update",
      "description": "Consult Lucidworks before using these endpoints."
    },
    {
      "name": "Webapps",
      "description": "Deprecated."
    },
    {
      "name": "ZooKeeper",
      "description": "The ZooKeeper Import/Export API provides methods to upload or download information from Fusion's ZooKeeper service. This service provides an alternative to the ZooKeeper clients `zkCli.sh` and `zk-shell` which are part of the Apache Zookeeper distribution included as part of the Fusion distribution."
    }
  ],
  "paths": {
    "/apps/status": {
      "get": {
        "tags": [
          "Apps"
        ],
        "summary": "Get apps service status",
        "description": "Check the status of the apps service.",
        "operationId": "getStatus",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/apps": {
      "get": {
        "tags": [
          "Apps"
        ],
        "summary": "List all apps",
        "description": "Get the list of all existing Fusion apps and their configuration details.",
        "operationId": "getAllEntities",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Entity"
                  }
                },
                "example": [
                  {
                    "id": "movies",
                    "name": "Movies",
                    "description": "Search the movielens database.",
                    "dataUri": "/App-Tile-01-460x160.png",
                    "properties": {
                      "headerImageName": "headerImage1",
                      "tileColor": "apps-darkblue",
                      "previousCollectionId": "movies"
                    }
                  },
                  {
                    "id": "tech-pubs",
                    "name": "TechPubs",
                    "description": "Search the documentation.",
                    "dataUri": "/App-Tile-02-460x160.png",
                    "properties": {
                      "headerImageName": "headerImage2",
                      "tileColor": "apps-darkblue",
                      "previousCollectionId": "tech-pubs"
                    }
                  }
                ]
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Apps"
        ],
        "summary": "Create an app",
        "description": "Create a new Fusion app.",
        "operationId": "createApp",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "description"
                ],
                "properties": {
                  "id": {
                    "type": "string",
                    "description": "The unique ID for the app.",
                    "example": "MyNewApp"
                  },
                  "name": {
                    "type": "string",
                    "description": "The display name for the app.",
                    "example": "My new app"
                  },
                  "description": {
                    "type": "string",
                    "description": "A short description of the app.",
                    "example": "A really great new app"
                  }
                }
              },
              "example": {
                "id": "MyNewApp",
                "name": "My new app",
                "description": "A really great new app"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "id": "MyNewApp",
                  "name": "My new app",
                  "description": "A really great new app"
                }
              }
            }
          }
        }
      }
    },
    "/apps/{id}": {
      "get": {
        "tags": [
          "Apps"
        ],
        "summary": "Get an app",
        "description": "Fetch an app by its ID.  The response is the app's complete configuration in JSON.",
        "operationId": "getEntity",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The app ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Entity"
                }
              }
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Apps"
        ],
        "summary": "Delete an app",
        "description": "Delete a Fusion app.",
        "operationId": "deleteEntityWithBody",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The app ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match.",
            "schema": {
              "type": "string",
              "default": "-1"
            }
          }
        ],
        "requestBody": {
          "description": "Additional request parameters, if any (such as `relatedObjectIds`), can be supplied in the request body instead of as request parameters. Use this if the URL is getting too long.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BodyRequestParams"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/apps/_schema": {
      "get": {
        "tags": [
          "Apps"
        ],
        "summary": "Get the apps schema",
        "description": "Get the JSON configuration schema for apps.",
        "operationId": "getEntitySchema",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/schema+json; qs=1.0": {
                "schema": {
                  "$ref": "#/components/schemas/ObjectType"
                }
              },
              "application/json; qs=0.9": {
                "schema": {
                  "$ref": "#/components/schemas/ObjectType"
                }
              }
            }
          }
        }
      }
    },
    "/blobs/status": {
      "get": {
        "tags": [
          "Blobs"
        ],
        "summary": "Get blob store service status",
        "description": "Check the status of the Blob Store service.",
        "operationId": "getStatus_2",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/blobs": {
      "get": {
        "tags": [
          "Blobs"
        ],
        "summary": "List all blobs",
        "description": "Get the list of existing blobs and their attributes.\n\nNote that recursion is off by default.",
        "operationId": "listBlobManifests",
        "parameters": [
          {
            "name": "dir",
            "in": "query",
            "description": "A blob store directory to be queried.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "recurse",
            "in": "query",
            "description": "`true` to recurse when querying the directory.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "showdirs",
            "in": "query",
            "description": "Show directories when querying directory.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Blob"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/blobs/{id}": {
      "get": {
        "tags": [
          "Blobs"
        ],
        "summary": "Get a blob",
        "description": "Get a blob's attributes.",
        "operationId": "getBlob",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The blob ID.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "query-pipeline-js-stage.js",
                    "path": "/query-pipeline-js-stage.js",
                    "dir": "/",
                    "filename": "query-pipeline-js-stage.js",
                    "contentType": "text/javascript",
                    "size": 0,
                    "modifiedTime": "2018-09-11T16:23:17.743Z",
                    "version": 1611328911094841344,
                    "md5": "d41d8cd98f00b204e9800998ecf8427e",
                    "metadata": {
                      "resourceType": "file:js-query"
                    }
                  }
                ]
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Blobs"
        ],
        "summary": "Upload a blob",
        "description": "Upload a blob and define its ID.",
        "operationId": "putBlob",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The blob ID.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified blob.",
            "schema": {
              "type": "string",
              "default": "0"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "description": "The media type of the blob body.",
            "schema": {
              "type": "string",
              "default": "application/octet-stream"
            }
          },
          {
            "name": "fusion-blob-type",
            "in": "header",
            "description": "The blob sub-type.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "commit",
            "in": "query",
            "description": "`true` to commit to Solr's Blob store.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "update",
            "in": "query",
            "description": "Whether to update the `data`, `metadata`, or `both`.",
            "schema": {
              "type": "string",
              "default": "both"
            }
          }
        ],
        "requestBody": {
          "description": "The blob to store.",
          "content": {
            "*/*": {
              "schema": {
                "$ref": "#/components/schemas/InputStream"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "example": {
                  "name": "mydriver",
                  "contentType": "application/java-archive",
                  "size": 707261,
                  "modifiedTime": "2017-06-09T19:00:48.919Z",
                  "version": 0,
                  "md5": "c67163ca764bfe632f28229c142131b5",
                  "metadata": {
                    "subtype": "driver:jdbc",
                    "drivers": "org.postgresql.Driver",
                    "resourceType": "driver:jdbc"
                  }
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "body"
      },
      "delete": {
        "tags": [
          "Blobs"
        ],
        "summary": "Delete a blob",
        "description": "Remove a blob from the Blob Store.",
        "operationId": "deleteFile_1",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The blob ID.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified blob.",
            "schema": {
              "type": "string",
              "default": "0"
            }
          },
          {
            "name": "commit",
            "in": "query",
            "description": "`true` to commit to Solr's Blob store.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      },
      "head": {
        "tags": [
          "Blobs"
        ],
        "summary": "Get blob metadata",
        "description": "Get only the metadata about a blob.",
        "operationId": "getBlobMetadata",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The blob ID.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      }
    },
    "/blobs/convert": {
      "put": {
        "tags": [
          "Blobs"
        ],
        "summary": "Convert blob manifests",
        "description": "Migrate blob manifests from 3.x to 4.x format.",
        "operationId": "migrateBlobManifests",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "deprecated": true
      }
    },
    "/collections/status": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get collections service status",
        "description": "Check the status of the Collections service.",
        "operationId": "getStatus_3",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "List all collections",
        "description": "Return properties for all existing collections.",
        "operationId": "getCollections",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Collection"
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Create a new collection",
        "description": "Define the properties of a new data collection.",
        "operationId": "createCollection",
        "parameters": [
          {
            "name": "pipelines",
            "in": "query",
            "description": "A boolean to indicate if pipelines should also be created. This has been deprecated in favor of 'relatedObjects'.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          }
        ],
        "requestBody": {
          "description": "JSON-formatted configuration values.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Collection"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Collection"
                },
                "example": {
                  "id": "newCollection",
                  "createdAt": "2014-09-19T18:46:52.954Z",
                  "searchClusterId": "default",
                  "solrParams": {
                    "name": "newCollection",
                    "numShards": 1,
                    "replicationFactor": 1
                  },
                  "type": "DATA",
                  "metadata": {}
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get a collection",
        "description": "Return the properties for a specific collection.",
        "operationId": "getCollection",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Collection"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Collections"
        ],
        "summary": "Create or update a collection",
        "description": "Create a new data collection or update an existing one.",
        "operationId": "overwriteCollection",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified blob.",
            "schema": {
              "type": "string",
              "default": "-1"
            }
          }
        ],
        "requestBody": {
          "description": "JSON-formatted configuration values.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Collection"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Collection"
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "body"
      },
      "delete": {
        "tags": [
          "Collections"
        ],
        "summary": "Delete a collection",
        "description": "Remove a collection from the system.",
        "operationId": "deleteCollection",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "solr",
            "in": "query",
            "description": "'True' to delete the collection from Solr while it is deleted from Fusion.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "purge",
            "in": "query",
            "description": "'True' to also delete associated signals and `searchLogs` collections.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "pipelines",
            "in": "query",
            "description": "'True' to also delete associated pipelines.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified collection.",
            "schema": {
              "type": "string",
              "default": "-1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      }
    },
    "/collections/{collection}/stats": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get collection statistics",
        "description": "Stats include the number of documents in the index, how many requests have been made of the collection, the average request time, and the index size in bytes.",
        "operationId": "getCollectionMetrics",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CollectionMetrics"
                },
                "example": {
                  "collectionId": "demo",
                  "documentCount": 536,
                  "requestCount": 6,
                  "qps": 28.34716542561849,
                  "sizeInBytes": 7646045,
                  "lastModified": "2014-05-19T19:58:33.545Z"
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/status": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get collection status",
        "description": "Status includes the state of each shard and each shard's replica. Each shard will be listed, and within that each replica, including the core name, its status as leader, the base URL, and the node name.",
        "operationId": "getCollectionStatus",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CollectionInfo"
                },
                "example": {
                  "maxShardsPerNode": 1,
                  "replicationFactor": 1,
                  "shards": {
                    "shard1": {
                      "range": "80000000-7fffffff",
                      "state": "active",
                      "replicas": {
                        "core_node1": {
                          "state": "active",
                          "core": "demo_shard1_replica1",
                          "leader": true,
                          "base_url": "https://FUSION_HOST:8983/solr",
                          "node_name": "FUSION_HOST:8983_solr"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/features": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get collection features.",
        "description": "Return all features for a specified collection.",
        "operationId": "listFeatures",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Feature"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/features/{feature}": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get a feature",
        "description": "Return all attributes for a specified feature in a collection.",
        "operationId": "getFeature",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "feature",
            "in": "path",
            "description": "The feature to update. Allowed values:\n\n- `signals`: Create a parallel collection for storing signals data (such as user clicks or ratings). Signals need to be indexed and aggregated before they can be used.\n- `recommendations`: Get configuration information about recommendations. Parameters include `idField` (document ID field), `itemsForUser` (enable or disable items-for-user recommendations), `itemsForQuery` (enable or disable items-for-query recommendations), `itemsForItem` (enable or disable items-for-item recommendations), and `queriesForQuery` (enable or disable queries-for-query recommendations).",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "signals",
                "recommendations"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Feature"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a feature",
        "description": "Update a feature's properties.",
        "operationId": "overwriteFeature",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "feature",
            "in": "path",
            "description": "The feature to update. Allowed values:\n\n- `signals`: Create a parallel collection for storing signals data (such as user clicks or ratings). Signals need to be indexed and aggregated before they can be used.\n- `recommendations`: Get configuration information about recommendations. Parameters include `idField` (document ID field), `itemsForUser` (enable or disable items-for-user recommendations), `itemsForQuery` (enable or disable items-for-query recommendations), `itemsForItem` (enable or disable items-for-item recommendations), and `queriesForQuery` (enable or disable queries-for-query recommendations).",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "signals",
                "recommendations"
              ]
            }
          },
          {
            "name": "callback",
            "in": "query",
            "description": "Additional commands to execute.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified feature.",
            "schema": {
              "type": "string",
              "default": "-1"
            }
          }
        ],
        "requestBody": {
          "description": "JSON-formatted configuration values.",
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              },
              "examples": {
                "recommendations": {
                  "summary": "Enable recommendations",
                  "description": "Adds the recommendations feature for the 'tempy' collection with configuration options for ID field and item/query behavior.",
                  "value": {
                    "name": "recommendations",
                    "collectionId": "tempy",
                    "params": {
                      "idField": "id",
                      "itemsForUser": true,
                      "itemsForQuery": false,
                      "itemsForItem": true,
                      "queriesForQuery": false
                    },
                    "enabled": true
                  }
                },
                "signals": {
                  "summary": "Disable signals",
                  "description": "Disables the signals feature for the 'tempy' collection.",
                  "value": {
                    "name": "signals",
                    "collectionId": "tempy",
                    "params": {},
                    "enabled": false
                  }
                },
                "searchLogs": {
                  "summary": "Disable search logs",
                  "description": "Disables the search logs feature for the 'tempy' collection.",
                  "value": {
                    "name": "searchLogs",
                    "collectionId": "tempy",
                    "params": {},
                    "enabled": false
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      },
      "delete": {
        "tags": [
          "Collections"
        ],
        "summary": "Delete a feature",
        "description": "Remove a feature from a collection.",
        "operationId": "resetFeature",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "feature",
            "in": "path",
            "description": "The feature to update. Allowed values:\n\n- `signals`: Create a parallel collection for storing signals data (such as user clicks or ratings). Signals need to be indexed and aggregated before they can be used.\n- `recommendations`: Get configuration information about recommendations. Parameters include `idField` (document ID field), `itemsForUser` (enable or disable items-for-user recommendations), `itemsForQuery` (enable or disable items-for-query recommendations), `itemsForItem` (enable or disable items-for-item recommendations), and `queriesForQuery` (enable or disable queries-for-query recommendations).",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "signals",
                "recommendations"
              ]
            }
          },
          {
            "name": "callback",
            "in": "query",
            "description": "Additional commands to execute.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified feature.",
            "schema": {
              "type": "string",
              "default": "-1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      }
    },
    "/collections/{collection}/partitions/status": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get collection partitions status",
        "description": "Get the status of a collection's partitions.",
        "operationId": "getStatus_16",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/partitions": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "List a collection's partitions",
        "description": "Returns list of partitions for a given collection.",
        "operationId": "getPartitions",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/partitions/{partition}": {
      "delete": {
        "tags": [
          "Collections"
        ],
        "summary": "Delete a partition",
        "description": "Delete a partition from a collection.",
        "operationId": "deletePartition",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "partition",
            "in": "path",
            "description": "Partition ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      }
    },
    "/collections/{collection}/partitions/_scheduledCallback": {
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Perform partition maintenance",
        "description": "Perform scheduled background maintenance on partitions for a given collection, such as preemptively creating partitions and deleting expired partitions.",
        "operationId": "scheduledCallback",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      }
    },
    "/collections/{collection}/partitions/_changed": {
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a partition feature",
        "description": "Change partitioned feature for a collection.",
        "operationId": "changeCallback",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Partitioned feature configuration.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Feature"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/partitions/_schema": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get the partition feature schema",
        "description": "Fetch the partition feature schema for a given collection.",
        "operationId": "getSchema",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ObjectType"
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/schema/status": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get collection schema status",
        "description": "Get the status of a collection's schema.",
        "operationId": "getStatus_19",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/schema/fields": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "List all collection fields",
        "description": "Returns fields for a given collection.",
        "operationId": "getFields",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Field"
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Create a collection field",
        "description": "Adds a field to a given collection.",
        "operationId": "addField",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Field configuration.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Field"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/schema/fields/{field}": {
      "delete": {
        "tags": [
          "Collections"
        ],
        "summary": "Delete a collection field",
        "description": "Deletes a field from a given collection.",
        "operationId": "deleteField",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "field",
            "in": "path",
            "description": "Field name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      },
      "put": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a collection field",
        "description": "Updates a field from a given collection.",
        "operationId": "updateField",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "field",
            "in": "path",
            "description": "Field name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Field configuration.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Field"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/schema/fields.schema": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get a collection's fields schema",
        "description": "Returns fields schema for a given collection.",
        "operationId": "getSchema_1",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ObjectType"
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/schema/fieldTypes": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "List all collection field types",
        "description": "Returns field types from a given collection.",
        "operationId": "getFieldTypes",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/SolrFieldType"
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Create a field type",
        "description": "Adds a new field type to a given collection.",
        "operationId": "addFieldType",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Field type configuration.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SolrFieldType"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/schema/fieldTypes/{fieldTypeId}": {
      "put": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a field type",
        "description": "Updates a field type from a given collection.",
        "operationId": "updateFieldType",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fieldTypeId",
            "in": "path",
            "description": "Field type ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Field type configuration.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SolrFieldType"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/schema/dynamicfields": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "List all dynamic fields",
        "description": "Returns dynamic fields for a given collection.",
        "operationId": "getDynamicFields",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/DynamicField"
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Create a dynamic field",
        "description": "Adds a new dynamic field to a given collection.",
        "operationId": "addDynamicField",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Dynamic field configuration.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DynamicField"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/schema/dynamicfields/{field}": {
      "delete": {
        "tags": [
          "Collections"
        ],
        "summary": "Delete a dynamic field",
        "description": "Deletes a dynamic field from a given collection.",
        "operationId": "deleteDynamicField",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "field",
            "in": "path",
            "description": "Field name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      },
      "put": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a dynamic field",
        "description": "Updates a dynamic field from a given collection.",
        "operationId": "updateDynamicField",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "field",
            "in": "path",
            "description": "Field name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Dynamic field configuration.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DynamicField"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/schema/dynamicfields.schema": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get the dynamic fields schema",
        "description": "Returns dynamic fields schema for a given collection.",
        "operationId": "getDynamicSchema",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ObjectType"
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/synonyms/status": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get synonyms status",
        "description": "Check the status of a collection's synonyms.",
        "operationId": "getStatus_26",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/synonyms": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "List all synonyms files",
        "description": "Return a list of synonyms files along with their editing states (`READY`/`NOT_READY`/`NOT_SAVED`).",
        "operationId": "listFiles_1",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/SynonymFile"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/synonyms/{path}": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get the synonyms file editing status",
        "description": "Return editing READY/NOT_READY status for a single synonyms file (or 404).",
        "operationId": "getFile_1",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a synonyms file.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SynonymFile"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a synonyms file",
        "description": "Change a synonyms file's state.",
        "operationId": "changeState",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a synonyms file.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "The file's new path and state.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SynonymFile"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/synonyms/{path}/items": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get a synonyms file",
        "description": "Export synonyms as a CSV file.",
        "operationId": "exportToCsv",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a synonyms file.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "text/csv; qs=0.9": {
                "schema": {
                  "$ref": "#/components/schemas/StreamingOutput"
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Create synonym entries",
        "description": "Add one or more new entries to a synonyms file.",
        "operationId": "addSynonym",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a synonyms file.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          },
          {
            "name": "commit",
            "in": "query",
            "description": "If true, commit the change to Solr immediately instead of asynchronously.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "fusion-user-name",
            "in": "header",
            "description": "The Fusion user for authentication.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "JSON-formatted synonym entries.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SynonymEntry"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SynonymEntry"
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/collections/{collection}/synonyms/{path}/items/{id}": {
      "put": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a synonym entry",
        "description": "Update an entry in a synonyms file.",
        "operationId": "updateSynonym",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a synonyms file.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The unique ID of the synonym entry.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "commit",
            "in": "query",
            "description": "If true, commit the change to Solr immediately instead of asynchronously.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "fusion-user-name",
            "in": "header",
            "description": "The Fusion user for authentication.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "JSON-formatted synonym entries.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SynonymEntry"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SynonymEntry"
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "body"
      },
      "delete": {
        "tags": [
          "Collections"
        ],
        "summary": "Delete a synonym entry",
        "description": "Delete an entry in a synonyms file.",
        "operationId": "deleteSynonym",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a synonyms file.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The unique ID of the synonym entry.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "commit",
            "in": "query",
            "description": "If true, commit the change to Solr immediately instead of asynchronously.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        }
      }
    },
    "/collections/{collection}/synonyms/{path}/suggestions": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get synonym suggestions",
        "description": "Get term suggestions from synonyms/categories/comments for autocomplete/autosuggest purposes.",
        "operationId": "getSuggestions",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The name of a collection.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a synonyms file.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            }
          },
          {
            "name": "field",
            "in": "query",
            "description": "The field to search.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "q",
            "in": "query",
            "description": "The query term for which to get suggestions.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              }
            }
          }
        },
        "deprecated": true
      }
    },
    "/collections/{collection}/solr-config/status": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Get the Solr config status",
        "description": "Check the status of a collection's Solr config.",
        "operationId": "getStatus_23",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "Collection ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/solr-config": {
      "get": {
        "tags": [
          "Solr Configuration"
        ],
        "summary": "List all Solr config files",
        "description": "Get a list of all Solr configuration files from ZooKeeper.",
        "operationId": "listConfigNodes",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The collection that contains the configuration files.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "recursive",
            "in": "query",
            "description": "'True' to return children of nested ZooKeeper nodes. This can be used in conjunction with the path to show only children of a specific node. If `recursive=true` and `expand=true` are both used in the same request, the request may be a little slow depending on how much data is requested.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "expand",
            "in": "query",
            "description": "If true, the binary content of a file is returned base64-encoded. Otherwise, only the metadata about each node is returned. To see the content of the file in plain text, you can add 'Accept: text/plain' to the request header. Alternately, you can get the raw bytes by adding 'Accept: application/octet-stream' to the header.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/SolrZkConfigNode"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/collections/{collection}/solr-config/{path}": {
      "get": {
        "tags": [
          "Solr Configuration"
        ],
        "summary": "Get a Solr config file",
        "description": "Fetch a single Solr configuration file.  Use `/solr-config` with `recursive` set to `true` to get the list of existing files and their paths.",
        "operationId": "getConfigNode",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The collection that contains the configuration files.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "api-test-app"
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a specific file or nested child nodes. If the file is not nested, the filename can be entered without any path information.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            },
            "example": "solrconfig.xml"
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/octet-stream": {
                "schema": {
                  "$ref": "#/components/schemas/SolrZkConfigNode"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Solr Configuration"
        ],
        "summary": "Replace a Solr configuration file",
        "description": "Overwrite a Solr configuration file with the one provided in the request body. As a best practice, all requests should include the Content-type in the request header.",
        "operationId": "putFile_1",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The collection that contains the configuration files.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "api-test-app"
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a specific file or nested child nodes. If the file is not nested, the filename can be entered without any path information.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            },
            "example": "solrconfig.xml"
          },
          {
            "name": "reload",
            "in": "query",
            "description": "'True' to reload the collection and make the changes available to Solr immediately.",
            "schema": {
              "type": "boolean",
              "default": false
            },
            "example": true
          },
          {
            "name": "validate",
            "in": "query",
            "description": "Before updating the Solr configuration, reload the Solr collection and verify that it doesn't fail.",
            "schema": {
              "type": "boolean",
              "default": true
            },
            "example": false
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified blob.",
            "schema": {
              "type": "string",
              "default": "-1"
            }
          }
        ],
        "requestBody": {
          "description": "The content of the file to be saved.",
          "content": {
            "*/*": {
              "schema": {
                "type": "array",
                "items": {
                  "pattern": "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$",
                  "type": "string",
                  "format": "byte"
                }
              }
            }
          },
          "required": false
        },
        "responses": {
          "204": {
            "description": "No Content",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      },
      "post": {
        "tags": [
          "Solr Configuration"
        ],
        "summary": "Create a Solr configuration file",
        "description": "Upload a new Solr configuration file in the request body. As a best practice, all requests should include the Content-type in the request header.",
        "operationId": "postFile",
        "parameters": [
          {
            "name": "collection",
            "in": "path",
            "description": "The collection that contains the configuration files.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "api-test-app"
          },
          {
            "name": "path",
            "in": "path",
            "description": "The path to a specific file or nested child nodes. If the file is not nested, the filename can be entered without any path information.",
            "required": true,
            "schema": {
              "pattern": ".*",
              "type": "string"
            },
            "example": "solrconfig.xml"
          },
          {
            "name": "reload",
            "in": "query",
            "description": "'True' to reload the collection and make the changes available to Solr immediately.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "validate",
            "in": "query",
            "description": "Validate the configuration file before saving it.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match against the specified blob.",
            "schema": {
              "type": "string",
              "default": "0"
            }
          }
        ],
        "requestBody": {
          "description": "The content of the file to be saved.",
          "content": {
            "*/*": {
              "schema": {
                "type": "array",
                "items": {
                  "pattern": "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$",
                  "type": "string",
                  "format": "byte"
                }
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/configurations/status": {
      "get": {
        "tags": [
          "Configurations"
        ],
        "summary": "Get configurations service status",
        "description": "Check the status of the Configurations service.\n\n> ⚠️ **Blocked by default:** This API is blocked on the API gateway by default because it exposes all Fusion admin service environment variables. It can be enabled in special cases — contact [Lucidworks Support](https://lucidworks.com/support) to discuss your use case. In Fusion 5.18 and later, use [Fusion Vault](/docs/5/fusion/operations/security/external-vault) instead, which provides a safer, structured approach to managing configuration values and secrets. The Configurations API is deprecated as of Fusion 5.18.",
        "operationId": "getStatus_4",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/configurations": {
      "get": {
        "tags": [
          "Configurations"
        ],
        "summary": "List matching configurations",
        "description": "List all configurations in the system, or use prefixes or pattern matching to list the set of matching configurations.\n\n> ⚠️ **Blocked by default:** This API is blocked on the API gateway by default because it exposes all Fusion admin service environment variables. It can be enabled in special cases — contact [Lucidworks Support](https://lucidworks.com/support) to discuss your use case. In Fusion 5.18 and later, use [Fusion Vault](/docs/5/fusion/operations/security/external-vault) instead, which provides a safer, structured approach to managing configuration values and secrets. The Configurations API is deprecated as of Fusion 5.18.",
        "operationId": "find",
        "parameters": [
          {
            "name": "pattern",
            "in": "query",
            "description": "Find all configuration items that _contain_ the specified string.",
            "schema": {
              "type": "string"
            },
            "example": "connect"
          },
          {
            "name": "prefix",
            "in": "query",
            "description": "Find all configuration items that _start with_ the specified string.",
            "schema": {
              "type": "string"
            },
            "example": "com.lucidworks"
          },
          {
            "name": "verbose",
            "in": "query",
            "description": "Display the Fusion component (or the part of the server’s operating system) that set the configuration item. Otherwise, the output includes only the name and value of the configuration item.",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "value": {
                          "type": "string"
                        },
                        "location": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "value",
                        "location"
                      ]
                    }
                  }
                },
                "example": {
                  "com.lucidworks.apollo-admin.config/zk-connect": [
                    {
                      "value": "FUSION_HOST:9983",
                      "location": "system properties"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/configurations/{key}": {
      "get": {
        "tags": [
          "Configurations"
        ],
        "summary": "Get a configuration item",
        "description": "Display the specified configuration item.\n\n> ⚠️ **Blocked by default:** This API is blocked on the API gateway by default because it exposes all Fusion admin service environment variables. It can be enabled in special cases — contact [Lucidworks Support](https://lucidworks.com/support) to discuss your use case. In Fusion 5.18 and later, use [Fusion Vault](/docs/5/fusion/operations/security/external-vault) instead, which provides a safer, structured approach to managing configuration values and secrets. The Configurations API is deprecated as of Fusion 5.18.",
        "operationId": "getProperty",
        "parameters": [
          {
            "name": "key",
            "in": "path",
            "description": "A configuration item key.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Configurations"
        ],
        "summary": "Update a configuration item",
        "description": "Modify a configuration item's value.\n\n> ⚠️ **Blocked by default:** This API is blocked on the API gateway by default because it exposes all Fusion admin service environment variables. It can be enabled in special cases — contact [Lucidworks Support](https://lucidworks.com/support) to discuss your use case. In Fusion 5.18 and later, use [Fusion Vault](/docs/5/fusion/operations/security/external-vault) instead, which provides a safer, structured approach to managing configuration values and secrets. The Configurations API is deprecated as of Fusion 5.18.",
        "operationId": "setProperty",
        "parameters": [
          {
            "name": "key",
            "in": "path",
            "description": "A configuration item key.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "com.lucidworks.apollo.service.recommend.allowed.types"
          },
          {
            "name": "secret",
            "in": "query",
            "description": "Store this item as encrypted.",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "requestBody": {
          "description": "The configuration item value.",
          "content": {
            "application/json": {
              "schema": {
                "type": "string"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      },
      "post": {
        "tags": [
          "Configurations"
        ],
        "summary": "Create a configuration item",
        "description": "Define a new configuration item.\n\n> ⚠️ **Blocked by default:** This API is blocked on the API gateway by default because it exposes all Fusion admin service environment variables. It can be enabled in special cases — contact [Lucidworks Support](https://lucidworks.com/support) to discuss your use case. In Fusion 5.18 and later, use [Fusion Vault](/docs/5/fusion/operations/security/external-vault) instead, which provides a safer, structured approach to managing configuration values and secrets. The Configurations API is deprecated as of Fusion 5.18.",
        "operationId": "createProperty",
        "parameters": [
          {
            "name": "key",
            "in": "path",
            "description": "The new configuration item key.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "secret",
            "in": "query",
            "description": "Store this item as encrypted.",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "requestBody": {
          "description": "The new configuration item value.",
          "content": {
            "application/json": {
              "schema": {
                "type": "string"
              }
            },
            "text/plain": {
              "schema": {
                "type": "string"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/crud-events/status": {
      "get": {
        "tags": [
          "CRUD events"
        ],
        "summary": "Get crud-events service status",
        "description": "Check the status of the CRUD Events service.",
        "operationId": "getStatus_5",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/data-models/status": {
      "get": {
        "tags": [
          "Data models"
        ],
        "summary": "Get data models service status",
        "description": "Check the status of the Data Models service.",
        "operationId": "getStatus_6",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ServiceStatus"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/data-models": {
      "get": {
        "tags": [
          "Data models"
        ],
        "summary": "List all data models",
        "description": "Get the list of existing data models.",
        "operationId": "getAllEntities_2",
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Entity"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/data-models/{id}": {
      "get": {
        "tags": [
          "Data models"
        ],
        "summary": "Get a data model",
        "description": "Fetch a data model by its ID.  Use `/data-models` to get the list of data model IDs.",
        "operationId": "getEntity_2",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The data model ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Entity"
                }
              }
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Data models"
        ],
        "summary": "Delete a data model",
        "description": "Remove a data model from the system by its ID.  Use `/data-models` to get the list of data model IDs.",
        "operationId": "deleteEntityWithBody_2",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The data model ID.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "If-Match",
            "in": "header",
            "description": "An optional tag to match.",
            "schema": {
              "type": "string",
              "default": "-1"
            }
          }
        ],
        "requestBody": {
          "description": "For supplying additional request parameters (such as relatedObjectIds) via request body instead of as request parameters. Use this if the URL is getting too long.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BodyRequestParams"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {}
          }
        },
        "x-codegen-request-body-name": "body"
      }
    },
    "/data-models/{id}/fields": {
      "get": {
        "tags": [
          "Data models"
        ],
        "summary": "Get data model fields",
        "description": "Get the list of declared fields for a specified data model.  Use `/data-models` to get the list of data model IDs.",
        "operationId": "getDataModelFields",
[...]
